﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace LoLHelper
{
    public partial class Heroes
    {
        public string TypeAndHero
        {
            get
            {
                switch (Type)
                {
                    case 1: return "Принимающий удары " + Name;
                    case 2: return "Атакающий " + Name;
                    case 3: return "Скрытый " + Name;
                    case 4: return "Меткий " + Name;
                    case 5: return "Волшебный " + Name;
                    case 6: return "Умный " + Name;
                    default: return "Герой пока не известен";
                }
            }
        }
        public SolidColorBrush TypeColor
        {
            get
            {
                switch (Type) { 
                case 1: return Brushes.LightCoral;
                case 2: return Brushes.LightCyan;
                case 3: return Brushes.LightGreen;
                case 4: return Brushes.LightSalmon;
                case 5: return Brushes.LightSkyBlue;
                case 6: return Brushes.LightSeaGreen;
                default: return Brushes.Gray;
                }
                }
        }
        public string Anons
        {
            get
            {
                if(ID < 5) 
                {
                   return "Первопроходцы ☆☆☆☆☆";
                }
                else return "";
            }
        }
    }
}
